- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_server_description_t

# mongoc_server_description_type()

## Synopsis

    const char *
    mongoc_server_description_type (const mongoc_server_description_t *description);

## Parameters

- `description`: A mongoc_server_description_t.

## Description

This function returns a string, one of the server types defined in the Server Discovery And Monitoring Spec:

- Standalone
- Mongos
- PossiblePrimary
- RSPrimary
- RSSecondary
- RSArbiter
- RSOther
- RSGhost
- Unknown

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.